devel/g-wrap - The NetBSD Packages Collection

Tool for generating guile wrappers for C code

G-Wrap is a tool (and Guile library) for generating function wrappers
for inter-language calls. It currently only supports generating Guile
wrappers for C functions.

This package provides G-Wrap TNG (to be 2.0), with the following
goals:

  * Use GOOPS, for enhanced flexibility

  * Get rid of the cruft that has accumulated, simplify where possible
    without sacrificing features

  * Be target-language agnostic; i.e. clean separation of the core and
    e.g. the Guile-specific code. New languages (perhaps even
    non-Schemes) should be easy to add.

  * Offer the current (1.3.4+) wrapping API as a compatibility layer.

Build dependencies

pkgtools/cwrappers devel/glib2-tools devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

devel/guile-lib devel/glib2 devel/libffi lang/guile20 devel/glib2 devel/libffi lang/guile20

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfg-wrap-1.9.15nb1.tgz
NetBSD 8.0earmv7hfg-wrap-1.9.15nb1.tgz
NetBSD 8.0earmv7hfg-wrap-1.9.15nb1.tgz
NetBSD 8.0i386g-wrap-1.9.15nb1.tgz
NetBSD 8.0i386g-wrap-1.9.15nb1.tgz
NetBSD 8.0powerpcg-wrap-1.9.15nb1.tgz
NetBSD 8.0powerpcg-wrap-1.9.15nb1.tgz
NetBSD 8.0powerpcg-wrap-1.9.15nb1.tgz
NetBSD 8.0powerpcg-wrap-1.9.15nb1.tgz
NetBSD 8.0x86_64g-wrap-1.9.15nb1.tgz
NetBSD 8.0x86_64g-wrap-1.9.15nb1.tgz
NetBSD 9.0aarch64g-wrap-1.9.15nb1.tgz
NetBSD 9.0aarch64g-wrap-1.9.15nb1.tgz
NetBSD 9.0aarch64g-wrap-1.9.15nb1.tgz
NetBSD 9.0alphag-wrap-1.9.15nb1.tgz
NetBSD 9.0alphag-wrap-1.9.15nb1.tgz
NetBSD 9.0alphag-wrap-1.9.15nb1.tgz
NetBSD 9.0earmg-wrap-1.9.15nb1.tgz
NetBSD 9.0earmg-wrap-1.9.15nb1.tgz
NetBSD 9.0earmg-wrap-1.9.15nb1.tgz
NetBSD 9.0earmv6hfg-wrap-1.9.15nb1.tgz
NetBSD 9.0earmv6hfg-wrap-1.9.15nb1.tgz
NetBSD 9.0earmv6hfg-wrap-1.9.15nb1.tgz
NetBSD 9.0earmv7hfg-wrap-1.9.15nb1.tgz
NetBSD 9.0earmv7hfg-wrap-1.9.15nb1.tgz
NetBSD 9.0earmv7hfg-wrap-1.9.15nb1.tgz
NetBSD 9.0earmv7hfg-wrap-1.9.15nb1.tgz
NetBSD 9.0i386g-wrap-1.9.15nb1.tgz
NetBSD 9.0i386g-wrap-1.9.15nb1.tgz
NetBSD 9.0mips64ebg-wrap-1.9.15nb1.tgz
NetBSD 9.0mips64ebg-wrap-1.9.15nb1.tgz
NetBSD 9.0mips64ebg-wrap-1.9.15nb1.tgz
NetBSD 9.0mips64ebg-wrap-1.9.15nb1.tgz
NetBSD 9.0mips64ebg-wrap-1.9.15nb1.tgz
NetBSD 9.0powerpcg-wrap-1.9.15nb1.tgz
NetBSD 9.0powerpcg-wrap-1.9.15nb1.tgz
NetBSD 9.0powerpcg-wrap-1.9.15nb1.tgz
NetBSD 9.0powerpcg-wrap-1.9.15nb1.tgz
NetBSD 9.0sparc64g-wrap-1.9.15nb1.tgz
NetBSD 9.0sparc64g-wrap-1.9.15nb1.tgz
NetBSD 9.0sparc64g-wrap-1.9.15nb1.tgz
NetBSD 9.0sparcg-wrap-1.9.15nb1.tgz
NetBSD 9.0sparcg-wrap-1.9.15nb1.tgz
NetBSD 9.0sparcg-wrap-1.9.15nb1.tgz
NetBSD 9.0sparcg-wrap-1.9.15nb1.tgz
NetBSD 9.0x86_64g-wrap-1.9.15nb1.tgz
NetBSD 9.0x86_64g-wrap-1.9.15nb1.tgz
NetBSD 9.0x86_64g-wrap-1.9.15nb1.tgz
NetBSD 9.0x86_64g-wrap-1.9.15nb1.tgz
NetBSD 9.0x86_64g-wrap-1.9.15nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.